/**
  @Generated Pin Manager Header File

  @Company:
    Microchip Technology Inc.

  @File Name:
    pin_manager.h

  @Summary:
    This is the Pin Manager file generated using PIC10 / PIC12 / PIC16 / PIC18 MCUs

  @Description
    This header file provides APIs for driver for .
    Generation Information :
        Product Revision  :  PIC10 / PIC12 / PIC16 / PIC18 MCUs - 1.81.7
        Device            :  PIC16F18875
        Driver Version    :  2.11
    The generated drivers are tested against the following:
        Compiler          :  XC8 2.31 and above
        MPLAB 	          :  MPLAB X 5.45	
*/

#ifndef PIN_MANAGER_H
#define PIN_MANAGER_H

/**
  Section: Included Files
*/

#include <xc.h>

#define INPUT   1
#define OUTPUT  0

#define HIGH    1
#define LOW     0

#define ANALOG      1
#define DIGITAL     0

#define PULL_UP_ENABLED      1
#define PULL_UP_DISABLED     0

// get/set pote aliases
#define pote_TRIS                 TRISAbits.TRISA0
#define pote_LAT                  LATAbits.LATA0
#define pote_PORT                 PORTAbits.RA0
#define pote_WPU                  WPUAbits.WPUA0
#define pote_OD                   ODCONAbits.ODCA0
#define pote_ANS                  ANSELAbits.ANSA0
#define pote_SetHigh()            do { LATAbits.LATA0 = 1; } while(0)
#define pote_SetLow()             do { LATAbits.LATA0 = 0; } while(0)
#define pote_Toggle()             do { LATAbits.LATA0 = ~LATAbits.LATA0; } while(0)
#define pote_GetValue()           PORTAbits.RA0
#define pote_SetDigitalInput()    do { TRISAbits.TRISA0 = 1; } while(0)
#define pote_SetDigitalOutput()   do { TRISAbits.TRISA0 = 0; } while(0)
#define pote_SetPullup()          do { WPUAbits.WPUA0 = 1; } while(0)
#define pote_ResetPullup()        do { WPUAbits.WPUA0 = 0; } while(0)
#define pote_SetPushPull()        do { ODCONAbits.ODCA0 = 0; } while(0)
#define pote_SetOpenDrain()       do { ODCONAbits.ODCA0 = 1; } while(0)
#define pote_SetAnalogMode()      do { ANSELAbits.ANSA0 = 1; } while(0)
#define pote_SetDigitalMode()     do { ANSELAbits.ANSA0 = 0; } while(0)

// get/set angle_90 aliases
#define angle_90_TRIS                 TRISAbits.TRISA4
#define angle_90_LAT                  LATAbits.LATA4
#define angle_90_PORT                 PORTAbits.RA4
#define angle_90_WPU                  WPUAbits.WPUA4
#define angle_90_OD                   ODCONAbits.ODCA4
#define angle_90_ANS                  ANSELAbits.ANSA4
#define angle_90_SetHigh()            do { LATAbits.LATA4 = 1; } while(0)
#define angle_90_SetLow()             do { LATAbits.LATA4 = 0; } while(0)
#define angle_90_Toggle()             do { LATAbits.LATA4 = ~LATAbits.LATA4; } while(0)
#define angle_90_GetValue()           PORTAbits.RA4
#define angle_90_SetDigitalInput()    do { TRISAbits.TRISA4 = 1; } while(0)
#define angle_90_SetDigitalOutput()   do { TRISAbits.TRISA4 = 0; } while(0)
#define angle_90_SetPullup()          do { WPUAbits.WPUA4 = 1; } while(0)
#define angle_90_ResetPullup()        do { WPUAbits.WPUA4 = 0; } while(0)
#define angle_90_SetPushPull()        do { ODCONAbits.ODCA4 = 0; } while(0)
#define angle_90_SetOpenDrain()       do { ODCONAbits.ODCA4 = 1; } while(0)
#define angle_90_SetAnalogMode()      do { ANSELAbits.ANSA4 = 1; } while(0)
#define angle_90_SetDigitalMode()     do { ANSELAbits.ANSA4 = 0; } while(0)

// get/set angle_60 aliases
#define angle_60_TRIS                 TRISAbits.TRISA5
#define angle_60_LAT                  LATAbits.LATA5
#define angle_60_PORT                 PORTAbits.RA5
#define angle_60_WPU                  WPUAbits.WPUA5
#define angle_60_OD                   ODCONAbits.ODCA5
#define angle_60_ANS                  ANSELAbits.ANSA5
#define angle_60_SetHigh()            do { LATAbits.LATA5 = 1; } while(0)
#define angle_60_SetLow()             do { LATAbits.LATA5 = 0; } while(0)
#define angle_60_Toggle()             do { LATAbits.LATA5 = ~LATAbits.LATA5; } while(0)
#define angle_60_GetValue()           PORTAbits.RA5
#define angle_60_SetDigitalInput()    do { TRISAbits.TRISA5 = 1; } while(0)
#define angle_60_SetDigitalOutput()   do { TRISAbits.TRISA5 = 0; } while(0)
#define angle_60_SetPullup()          do { WPUAbits.WPUA5 = 1; } while(0)
#define angle_60_ResetPullup()        do { WPUAbits.WPUA5 = 0; } while(0)
#define angle_60_SetPushPull()        do { ODCONAbits.ODCA5 = 0; } while(0)
#define angle_60_SetOpenDrain()       do { ODCONAbits.ODCA5 = 1; } while(0)
#define angle_60_SetAnalogMode()      do { ANSELAbits.ANSA5 = 1; } while(0)
#define angle_60_SetDigitalMode()     do { ANSELAbits.ANSA5 = 0; } while(0)

// get/set angle_45 aliases
#define angle_45_TRIS                 TRISAbits.TRISA6
#define angle_45_LAT                  LATAbits.LATA6
#define angle_45_PORT                 PORTAbits.RA6
#define angle_45_WPU                  WPUAbits.WPUA6
#define angle_45_OD                   ODCONAbits.ODCA6
#define angle_45_ANS                  ANSELAbits.ANSA6
#define angle_45_SetHigh()            do { LATAbits.LATA6 = 1; } while(0)
#define angle_45_SetLow()             do { LATAbits.LATA6 = 0; } while(0)
#define angle_45_Toggle()             do { LATAbits.LATA6 = ~LATAbits.LATA6; } while(0)
#define angle_45_GetValue()           PORTAbits.RA6
#define angle_45_SetDigitalInput()    do { TRISAbits.TRISA6 = 1; } while(0)
#define angle_45_SetDigitalOutput()   do { TRISAbits.TRISA6 = 0; } while(0)
#define angle_45_SetPullup()          do { WPUAbits.WPUA6 = 1; } while(0)
#define angle_45_ResetPullup()        do { WPUAbits.WPUA6 = 0; } while(0)
#define angle_45_SetPushPull()        do { ODCONAbits.ODCA6 = 0; } while(0)
#define angle_45_SetOpenDrain()       do { ODCONAbits.ODCA6 = 1; } while(0)
#define angle_45_SetAnalogMode()      do { ANSELAbits.ANSA6 = 1; } while(0)
#define angle_45_SetDigitalMode()     do { ANSELAbits.ANSA6 = 0; } while(0)

// get/set angle_30 aliases
#define angle_30_TRIS                 TRISAbits.TRISA7
#define angle_30_LAT                  LATAbits.LATA7
#define angle_30_PORT                 PORTAbits.RA7
#define angle_30_WPU                  WPUAbits.WPUA7
#define angle_30_OD                   ODCONAbits.ODCA7
#define angle_30_ANS                  ANSELAbits.ANSA7
#define angle_30_SetHigh()            do { LATAbits.LATA7 = 1; } while(0)
#define angle_30_SetLow()             do { LATAbits.LATA7 = 0; } while(0)
#define angle_30_Toggle()             do { LATAbits.LATA7 = ~LATAbits.LATA7; } while(0)
#define angle_30_GetValue()           PORTAbits.RA7
#define angle_30_SetDigitalInput()    do { TRISAbits.TRISA7 = 1; } while(0)
#define angle_30_SetDigitalOutput()   do { TRISAbits.TRISA7 = 0; } while(0)
#define angle_30_SetPullup()          do { WPUAbits.WPUA7 = 1; } while(0)
#define angle_30_ResetPullup()        do { WPUAbits.WPUA7 = 0; } while(0)
#define angle_30_SetPushPull()        do { ODCONAbits.ODCA7 = 0; } while(0)
#define angle_30_SetOpenDrain()       do { ODCONAbits.ODCA7 = 1; } while(0)
#define angle_30_SetAnalogMode()      do { ANSELAbits.ANSA7 = 1; } while(0)
#define angle_30_SetDigitalMode()     do { ANSELAbits.ANSA7 = 0; } while(0)

// get/set RS485_TXEN aliases
#define RS485_TXEN_TRIS                 TRISCbits.TRISC2
#define RS485_TXEN_LAT                  LATCbits.LATC2
#define RS485_TXEN_PORT                 PORTCbits.RC2
#define RS485_TXEN_WPU                  WPUCbits.WPUC2
#define RS485_TXEN_OD                   ODCONCbits.ODCC2
#define RS485_TXEN_ANS                  ANSELCbits.ANSC2
#define RS485_TXEN_SetHigh()            do { LATCbits.LATC2 = 1; } while(0)
#define RS485_TXEN_SetLow()             do { LATCbits.LATC2 = 0; } while(0)
#define RS485_TXEN_Toggle()             do { LATCbits.LATC2 = ~LATCbits.LATC2; } while(0)
#define RS485_TXEN_GetValue()           PORTCbits.RC2
#define RS485_TXEN_SetDigitalInput()    do { TRISCbits.TRISC2 = 1; } while(0)
#define RS485_TXEN_SetDigitalOutput()   do { TRISCbits.TRISC2 = 0; } while(0)
#define RS485_TXEN_SetPullup()          do { WPUCbits.WPUC2 = 1; } while(0)
#define RS485_TXEN_ResetPullup()        do { WPUCbits.WPUC2 = 0; } while(0)
#define RS485_TXEN_SetPushPull()        do { ODCONCbits.ODCC2 = 0; } while(0)
#define RS485_TXEN_SetOpenDrain()       do { ODCONCbits.ODCC2 = 1; } while(0)
#define RS485_TXEN_SetAnalogMode()      do { ANSELCbits.ANSC2 = 1; } while(0)
#define RS485_TXEN_SetDigitalMode()     do { ANSELCbits.ANSC2 = 0; } while(0)

// get/set RC6 procedures
#define RC6_SetHigh()            do { LATCbits.LATC6 = 1; } while(0)
#define RC6_SetLow()             do { LATCbits.LATC6 = 0; } while(0)
#define RC6_Toggle()             do { LATCbits.LATC6 = ~LATCbits.LATC6; } while(0)
#define RC6_GetValue()              PORTCbits.RC6
#define RC6_SetDigitalInput()    do { TRISCbits.TRISC6 = 1; } while(0)
#define RC6_SetDigitalOutput()   do { TRISCbits.TRISC6 = 0; } while(0)
#define RC6_SetPullup()             do { WPUCbits.WPUC6 = 1; } while(0)
#define RC6_ResetPullup()           do { WPUCbits.WPUC6 = 0; } while(0)
#define RC6_SetAnalogMode()         do { ANSELCbits.ANSC6 = 1; } while(0)
#define RC6_SetDigitalMode()        do { ANSELCbits.ANSC6 = 0; } while(0)

// get/set RC7 procedures
#define RC7_SetHigh()            do { LATCbits.LATC7 = 1; } while(0)
#define RC7_SetLow()             do { LATCbits.LATC7 = 0; } while(0)
#define RC7_Toggle()             do { LATCbits.LATC7 = ~LATCbits.LATC7; } while(0)
#define RC7_GetValue()              PORTCbits.RC7
#define RC7_SetDigitalInput()    do { TRISCbits.TRISC7 = 1; } while(0)
#define RC7_SetDigitalOutput()   do { TRISCbits.TRISC7 = 0; } while(0)
#define RC7_SetPullup()             do { WPUCbits.WPUC7 = 1; } while(0)
#define RC7_ResetPullup()           do { WPUCbits.WPUC7 = 0; } while(0)
#define RC7_SetAnalogMode()         do { ANSELCbits.ANSC7 = 1; } while(0)
#define RC7_SetDigitalMode()        do { ANSELCbits.ANSC7 = 0; } while(0)

// get/set automatic_mode_led aliases
#define automatic_mode_led_TRIS                 TRISDbits.TRISD6
#define automatic_mode_led_LAT                  LATDbits.LATD6
#define automatic_mode_led_PORT                 PORTDbits.RD6
#define automatic_mode_led_WPU                  WPUDbits.WPUD6
#define automatic_mode_led_OD                   ODCONDbits.ODCD6
#define automatic_mode_led_ANS                  ANSELDbits.ANSD6
#define automatic_mode_led_SetHigh()            do { LATDbits.LATD6 = 1; } while(0)
#define automatic_mode_led_SetLow()             do { LATDbits.LATD6 = 0; } while(0)
#define automatic_mode_led_Toggle()             do { LATDbits.LATD6 = ~LATDbits.LATD6; } while(0)
#define automatic_mode_led_GetValue()           PORTDbits.RD6
#define automatic_mode_led_SetDigitalInput()    do { TRISDbits.TRISD6 = 1; } while(0)
#define automatic_mode_led_SetDigitalOutput()   do { TRISDbits.TRISD6 = 0; } while(0)
#define automatic_mode_led_SetPullup()          do { WPUDbits.WPUD6 = 1; } while(0)
#define automatic_mode_led_ResetPullup()        do { WPUDbits.WPUD6 = 0; } while(0)
#define automatic_mode_led_SetPushPull()        do { ODCONDbits.ODCD6 = 0; } while(0)
#define automatic_mode_led_SetOpenDrain()       do { ODCONDbits.ODCD6 = 1; } while(0)
#define automatic_mode_led_SetAnalogMode()      do { ANSELDbits.ANSD6 = 1; } while(0)
#define automatic_mode_led_SetDigitalMode()     do { ANSELDbits.ANSD6 = 0; } while(0)

// get/set test_mode_led aliases
#define test_mode_led_TRIS                 TRISDbits.TRISD7
#define test_mode_led_LAT                  LATDbits.LATD7
#define test_mode_led_PORT                 PORTDbits.RD7
#define test_mode_led_WPU                  WPUDbits.WPUD7
#define test_mode_led_OD                   ODCONDbits.ODCD7
#define test_mode_led_ANS                  ANSELDbits.ANSD7
#define test_mode_led_SetHigh()            do { LATDbits.LATD7 = 1; } while(0)
#define test_mode_led_SetLow()             do { LATDbits.LATD7 = 0; } while(0)
#define test_mode_led_Toggle()             do { LATDbits.LATD7 = ~LATDbits.LATD7; } while(0)
#define test_mode_led_GetValue()           PORTDbits.RD7
#define test_mode_led_SetDigitalInput()    do { TRISDbits.TRISD7 = 1; } while(0)
#define test_mode_led_SetDigitalOutput()   do { TRISDbits.TRISD7 = 0; } while(0)
#define test_mode_led_SetPullup()          do { WPUDbits.WPUD7 = 1; } while(0)
#define test_mode_led_ResetPullup()        do { WPUDbits.WPUD7 = 0; } while(0)
#define test_mode_led_SetPushPull()        do { ODCONDbits.ODCD7 = 0; } while(0)
#define test_mode_led_SetOpenDrain()       do { ODCONDbits.ODCD7 = 1; } while(0)
#define test_mode_led_SetAnalogMode()      do { ANSELDbits.ANSD7 = 1; } while(0)
#define test_mode_led_SetDigitalMode()     do { ANSELDbits.ANSD7 = 0; } while(0)

/**
   @Param
    none
   @Returns
    none
   @Description
    GPIO and peripheral I/O initialization
   @Example
    PIN_MANAGER_Initialize();
 */
void PIN_MANAGER_Initialize (void);

/**
 * @Param
    none
 * @Returns
    none
 * @Description
    Interrupt on Change Handling routine
 * @Example
    PIN_MANAGER_IOC();
 */
void PIN_MANAGER_IOC(void);



#endif // PIN_MANAGER_H
/**
 End of File
*/